# Xapian::TermIterator Class Reference

An iterator pointing to items in a list of terms. More...

List of all members.

## Public Types

typedef std::input_iterator_tag | iterator_category
| Allow use as an STL iterator.
typedef std::string | value_type
| Allow use as an STL iterator.
typedef Xapian::termcount_diff | difference_type
| Allow use as an STL iterator.
typedef std::string * | pointer
| Allow use as an STL iterator.
typedef std::string & | reference
| Allow use as an STL iterator.

## Public Member Functions

| TermIterator (Internal *internal_)
| TermIterator ()
| Default constructor - for declaring an uninitialised iterator.
| ~TermIterator ()
| Destructor.
| TermIterator (const TermIterator &other)
| Copying is allowed.
void | operator= (const TermIterator &other)
| Assignment is allowed.
std::string | operator* () const
| Return the current term.
TermIterator & | operator++ ()
TermNameWrapper | operator++ (int)
void | skip_to (const std::string &tname)
| Advance the iterator to the specified term.
Xapian::termcount | get_wdf () const
| Return the wdf of the current term (if meaningful).
Xapian::doccount | get_termfreq () const
| Return the term frequency of the current term (if meaningful).
Xapian::termcount | positionlist_count () const
| Return length of positionlist for current term.
PositionIterator | positionlist_begin () const
| Return PositionIterator pointing to start of positionlist for current term.
PositionIterator | positionlist_end () const
| Return PositionIterator pointing to end of positionlist for current term.
std::string | get_description () const
| Return a string describing this object.

## Public Attributes

Xapian::Internal::RefCntPtr < Internal > | internal

## Detailed Description

An iterator pointing to items in a list of terms.

## Member Typedef Documentation

typedef Xapian::termcount_diff Xapian::TermIterator::difference_type

Allow use as an STL iterator.

typedef std::input_iterator_tag Xapian::TermIterator::iterator_category

Allow use as an STL iterator.

typedef std::string* Xapian::TermIterator::pointer

Allow use as an STL iterator.

typedef std::string& Xapian::TermIterator::reference

Allow use as an STL iterator.

typedef std::string Xapian::TermIterator::value_type

Allow use as an STL iterator.

## Constructor & Destructor Documentation

Xapian::TermIterator::TermIterator | ( |  | ) |

Default constructor - for declaring an uninitialised iterator.

Xapian::TermIterator::~TermIterator | ( |  | ) |

Destructor.

Xapian::TermIterator::TermIterator | ( | const TermIterator & | other | ) |

Copying is allowed.

The internals are reference counted, so copying is also cheap.

## Member Function Documentation

std::string Xapian::TermIterator::get_description | ( |  | ) | const

Return a string describing this object.

Xapian::doccount Xapian::TermIterator::get_termfreq | ( |  | ) | const

Return the term frequency of the current term (if meaningful).

The term frequency is the number of documents which a term indexes.

Xapian::termcount Xapian::TermIterator::get_wdf | ( |  | ) | const

Return the wdf of the current term (if meaningful).

The wdf (within document frequency) is the number of occurences of a term in a particular document.

std::string Xapian::TermIterator::operator* | ( |  | ) | const

Return the current term.

void Xapian::TermIterator::operator= | ( | const TermIterator & | other | ) |

Assignment is allowed.

The internals are reference counted, so assignment is also cheap.

PositionIterator Xapian::TermIterator::positionlist_begin | ( |  | ) | const

Return PositionIterator pointing to start of positionlist for current term.

Xapian::termcount Xapian::TermIterator::positionlist_count | ( |  | ) | const

Return length of positionlist for current term.

PositionIterator Xapian::TermIterator::positionlist_end | ( |  | ) | const`[inline]`

Return PositionIterator pointing to end of positionlist for current term.

void Xapian::TermIterator::skip_to | ( | const std::string & | tname | ) |

Advance the iterator to the specified term.

If the specified term isn't in the list, position ourselves on the first term after it (or at_end() if no greater terms are present).

The documentation for this class was generated from the following file:

- xapian/termiterator.h